[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Compiling TortoiseSVN with VS2010

From: Jean-Yves Avenard <jyavenard_at_gmail.com>
Date: Thu, 14 Apr 2011 21:46:51 +1000

On 14 April 2011 20:51, Stefan Küng <tortoisesvn_at_gmail.com> wrote:

>>                 [exec]  cl /Fotmp32\by_file.obj  -Iinc32 -Itmp32 -DOPENSSL_CAPI
>> ENG_DIALOG  /MT /Ox /O2 /Ob2 /W3 /WX /Gs0 /GF /Gy /nologo
>> -DOPENSSL_SYSNAME_WIN32 -DWIN32_LEAN_AND_MEAN -DL_ENDIAN -DDSO_WIN32
>> -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE /Fdout32
>> -DOPENSSL_NO_CAMELLIA -DOPENSSL_NO_SEED -DOPENSSL_NO_RC5
>> -DOPENSSL_NO_MDC2 -DOPENSSL_NO_CMS -DOPENSSL_NO_JPAKE
>> -DOPENSSL_NO_KRB5 -DOPENSSL_NO_DYNAMIC_ENGINE /Zl -c
>> .\crypto\x509\by_file.c
>>                 [exec] by_file.c
>>                 [exec] .\crypto\x509\by_file.c(103) : error C2220:
>> warning treated as error - no 'object' file generated
>>                 [exec] .\crypto\x509\by_file.c(103) : warning C4013:
>> 'Getenv' undefined; assuming extern returning int
>
> I've never tried compiling 1.6 with VS2010, only trunk compiles with it.
> But since you get compiler warnings when building OpenSSL, you
> obviously don't use the latest version of it. Use version 1.0.0d, that
> one compiles properly with VS2010.

I re-installed VS2008 ; and for some reasons, I get exactly the same
error when building OpenSSL :(

I use 0.9.8r, with 1.6.11 I was using 0.9.8o

Am I supposed to use 1.0.0? I remember having issues when using a too
recent version of openssl

Thanks
JY

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2719744

To unsubscribe from this discussion, e-mail: [users-unsubscribe_at_tortoisesvn.tigris.org].
Received on 2011-04-14 13:46:56 CEST

This is an archived mail posted to the TortoiseSVN Users mailing list.